## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tag     1.10-contrib.0

Name:           sway-contrib
Version:        1.10+contrib.0
Release:        %autorelease
Summary:        Collection of user-contributed scripts for Sway

License:        MIT
URL:            https://github.com/OctopusET/sway-contrib
Source:         %{url}/archive/%{tag}/%{name}-%{tag}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  scdoc

Requires:       sway
Requires:       python3dist(i3ipc)

%description
%{summary}.

%package -n     grimpicker
Summary:        A simple color picker for wlroots
Requires:       grim
Requires:       slurp
Recommends:     /usr/bin/wl-copy
Recommends:     /usr/bin/notify-send

%description -n grimpicker
grimpicker is a color picker that uses slurp and grim.

%package -n     grimshot
Summary:        Helper for screenshots within sway
Requires:       grim
Requires:       jq
Requires:       slurp
Requires:       sway
Requires:       /usr/bin/wl-copy
Recommends:     /usr/bin/notify-send

%description -n grimshot
Grimshot is an easy to use screenshot tool for sway. It relies on grim,
slurp and jq to do the heavy lifting, and mostly provides an easy to use
interface.


%prep
%autosetup -n %{name}-%{tag}
%py3_shebang_fix grimpicker/grimpicker *.py


%build
%make_build -C grimpicker
scdoc <grimshot/grimshot.1.scd >grimshot/grimshot.1


%install
install -D -pv -t %{buildroot}%{_libexecdir}/%{name}  *.py
# grimpicker
%make_install -C grimpicker PREFIX=%{_prefix}
install -D -pv -m0644 grimpicker/completion.zsh \
    %{buildroot}%{zsh_completions_dir}/_grimpicker
# grimshot
install -D -pv -m0644 grimshot/grimshot.1 \
    -t %{buildroot}%{_mandir}/man1
install -D -pv -m0755 grimshot/grimshot \
    -t %{buildroot}%{_bindir}
install -D -pv -m0644 grimshot/grimshot-completion.bash \
    %{buildroot}%{bash_completions_dir}/grimshot


%files
%license LICENSE
%doc README.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*.py

%files -n grimpicker
%license LICENSE
%{_bindir}/grimpicker
%{_mandir}/man1/grimpicker.1*
%{bash_completions_dir}/grimpicker
%{fish_completions_dir}/grimpicker.fish
%{zsh_completions_dir}/_grimpicker

%files -n grimshot
%license LICENSE
%{_bindir}/grimshot
%{_mandir}/man1/grimshot.1*
%{bash_completions_dir}/grimshot


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.10+contrib.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 18 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.10+contrib.0-1
- Update to 1.10-contrib.0 (#2326871)

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9~rc2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 04 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.9~rc2-1
- Initial import (rhbz#2262536)
## END: Generated by rpmautospec
